Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.factory
Class JPASessionFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.factory.JPASessionFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.SessionFactory

    public class JPASessionFactory

extends Object
implements org.kie.internal.runtime.manager.SessionFactory

SessionFactory implementation that is backed by data base for storing `KieSession` data.

Constructor Summary
`JPASessionFactory(RuntimeEnvironment environment)`

Method Summary
`protected void` | `addInterceptors(KieSession ksession)`
`void` | `close()`
`KieSession` | `findKieSessionById(Integer sessionId)`
`KieSession` | `newKieSession()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPASessionFactory

    public JPASessionFactory(RuntimeEnvironment environment)

Method Detail

### newKieSession

    public KieSession newKieSession()

  Specified by:
    `newKieSession` in interface `org.kie.internal.runtime.manager.SessionFactory`

### findKieSessionById

    public KieSession findKieSessionById(Integer sessionId)

  Specified by:
    `findKieSessionById` in interface `org.kie.internal.runtime.manager.SessionFactory`

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.SessionFactory`

### addInterceptors

    protected void addInterceptors(KieSession ksession)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.